rule_files:
       - /testdata/deployment_replicas_mismatch.yaml
evaluation_interval: 1m
tests:
       - interval: 1m
     # Series Data
         input_series:
               - series: kube_replicaset_spec_replicas{job="prometheus", namespace="auth-proxy"}
                 values: '5+0x9 5+0x20 5+0x100000'
               - series: kube_deployment_status_replicas_available{job="prometheus", namespace="auth-proxy"}
                 values: '5+0x9 4+0x20 5+0x100000'
         alert_rule_test:
            #  Unit Test 1
               - eval_time: 9m
                 alertname: KubernetesDeploymentReplicasMismatch-authproxy
                 exp_alerts:

               - eval_time: 20m
                 alertname: KubernetesDeploymentReplicasMismatch-authproxy
                 exp_alerts:
                       - exp_labels:
                               namespace: auth-proxy
                               job: prometheus
                               severity: critical
                         exp_annotations:
                               summary: "Kube_replicaset_spec_replicas_authproxy missmatches"
                               description: "YaRD_Kubernetes Deployment Replicas Mismatch in authproxy namespace from 11 min getting alert"                               